"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const flattener_1 = require("@specron/flattener");
const env_1 = require("../lib/env");
function default_1(argv) {
    return __awaiter(this, void 0, void 0, function* () {
        const config = env_1.getConfig(argv);
        const flattener = new flattener_1.Flattener({
            reporter: new flattener_1.DefaultReporter(config.flattener.severities),
        });
        flattener.source(...config.flattener.match);
        try {
            yield flattener.flatten();
            flattener.save(config.flattener.build);
            process.exit(0);
        }
        catch (e) {
            console.log(e);
            process.exit(2);
        }
    });
}
exports.default = default_1;
//# sourceMappingURL=flatten.js.map